Subject: bug#78064: closed (Re: [bug#78064] [PATCH 0/1] Add adw-gtk-theme.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 May 2025 08:45:02 +0000

Your bug report

#78064: [PATCH 0/1] Add adw-gtk-theme.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78064: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78064
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#78064] [PATCH 0/1] Add adw-gtk-theme.
From: Maxim Cournoyer <[email-masked]>
To: Gabriel Santos <[email-masked]>
Cc: Noé Lopez <[email-masked]>, [email-masked], Vivien Kraus <[email-masked]>, Liliana Marie Prikler <[email-masked]>
Date: Fri, 02 May 2025 17:44:10 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Gabriel Santos <[email-masked]> writes:

> Greetings,
>
> This patch adds adw-gtk3[1]. It is a GTK 3 theme inspired on the current
> GTK 4 design. I'm submitting it as a package because I want it for
> theming.
>
> Looking at the other themes, I thought it would be appropriate to omit the
> mention of GTK 3 in the name of the package, leaving its name as
> "adw"(-gtk-theme).

Neat!  I think keeping 3 in the name makes sense, since this is the
upstream name (info "(guix) Package Naming"), and also this is very much
targeting GTK3 :-).   I've renamed it and adjusted the license to read
lgpl2.1+ (note the +, meaning or any later version), and pushed with
commit 8f39ade0192.

-- 
Thanks,
Maxim

Subject: [PATCH 0/1] Add adw-gtk-theme.
From: Gabriel Santos <[email-masked]>
To: [email-masked]
Cc: Gabriel Santos <[email-masked]>
Date: Fri, 25 Apr 2025 15:52:17 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Greetings,

This patch adds adw-gtk3[1]. It is a GTK 3 theme inspired on the current
GTK 4 design. I'm submitting it as a package because I want it for
theming.

Looking at the other themes, I thought it would be appropriate to omit the
mention of GTK 3 in the name of the package, leaving its name as
"adw"(-gtk-theme).

[1] <https://github.com/lassekongo83/adw-gtk3>

Gabriel Santos (1):
  gnu: Add adw-gtk-theme.

 gnu/packages/gnome-xyz.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

base-commit: e042751c321b205166b9efa50a56442a7677cb1b
-- 
2.49.0